Index: /extensions/PHP_Optimisateur/include/display_config.php
===================================================================
--- /extensions/PHP_Optimisateur/include/display_config.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/include/display_config.php	(revision 9276)
@@ -109,5 +109,8 @@
 					<tr>
 						<td><b>'.l10n('copyCOLOR').' :</b></td>
-						<td>#'.nice_hex_color($CONF['copyCOLOR']).' <span class="color-display" style="background-color:#'.nice_hex_color($CONF['copyCOLOR']).';">&nbsp;</span></td>
+						<td>
+							#'.nice_hex_color($CONF['copyCOLOR']).'
+							<span class="color-display" style="background-color:#'.nice_hex_color($CONF['copyCOLOR']).';">&nbsp;</span>
+						</td>
 					</tr>
 					<tr>
Index: /extensions/PHP_Optimisateur/include/main.php
===================================================================
--- /extensions/PHP_Optimisateur/include/main.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/include/main.php	(revision 9276)
@@ -71,5 +71,5 @@
 	preg_match('#(.*)/(.*).([a-z]{3})$#', $FilesSortie[$i], $matches);
 	$FileFolder = $matches[1].'/'; // dossier de sortie
-	$FileName = $matches[2].'.jpg'; // nom final
+	$FileName = $matches[2]; // nom final
 	$FileExt = $matches[3]; // extension orginale
 		
@@ -101,16 +101,16 @@
 	// Compresse les fichiers dans le dossier de sortie
 	if (!isset($BlockNormal)) { 
-		exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+		exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
 	}
 	if (!isset($BlockThumbnail)) { 
-		exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
+		exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
 	}
 	if (!isset($BlockHigh) AND $CONF['DIRhighORNOT']) {
 		if ($CONF['DIMhdORNOT']) {
-			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileName.'" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
+			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileName.'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
 		} else if (!in_array($FileExt, $CONF['JPGexts'])) {
-			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileName.'" "'.$FilesSource[$i].'"');
+			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileName.'.jpg" "'.$FilesSource[$i].'"');
 		} else {
-			copy($FilesSource[$i], $FileFolder.'pwg_high/'.$FileName);
+			copy($FilesSource[$i], $FileFolder.'pwg_high/'.$FileName.'.jpg');
 		}
 	}
@@ -132,5 +132,5 @@
 		rmdir($dir);
 	} else if ($CONF['indexORNOT']) {
-		copy('includes/index.php', $dir.'/index.php');
+		copy('include/index.php', $dir.'/index.php');
 	}
 }
Index: /extensions/PHP_Optimisateur/include/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/include/setup.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/include/setup.php	(revision 9276)
@@ -50,7 +50,10 @@
 						<td>'.l10n('silentORNOT').' :</td>
 						<td>
-							<label><input type="radio" name="silentORNOT" value="erase" '.(($CONF['silentORNOT']=='erase')?'checked="checked"':'').'/> '.l10n('erase').'</label>
-							<label><input type="radio" name="silentORNOT" value="block" '.(($CONF['silentORNOT']=='block')?'checked="checked"':'').'/> '.l10n('block').'</label>
-							<label><input type="radio" name="silentORNOT" value="pass" '.(($CONF['silentORNOT']=='pass')?'checked="checked"':'').'/> '.l10n('pass').'</label>
+							<input type="radio" id="silentORNOT1" name="silentORNOT" value="erase" '.(($CONF['silentORNOT']=='erase')?'checked="checked"':'').'/> 
+							<label for="silentORNOT1">'.l10n('erase').'</label>
+							<input type="radio" id="silentORNOT2" name="silentORNOT" value="block" '.(($CONF['silentORNOT']=='block')?'checked="checked"':'').'/> 
+							<label for="silentORNOT2">'.l10n('block').'</label>
+							<input type="radio" id="silentORNOT3" name="silentORNOT" value="pass" '.(($CONF['silentORNOT']=='pass')?'checked="checked"':'').'/> 
+							<label for="silentORNOT3">'.l10n('pass').'</label>
 						</td>
 					</tr>
@@ -58,6 +61,8 @@
 						<td>'.l10n('DIRhighORNOT').' :</td>
 						<td>
-							<label><input type="radio" name="DIRhighORNOT" value="true" '.(($CONF['DIRhighORNOT'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="DIRhighORNOT" value="false" '.((!$CONF['DIRhighORNOT'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="DIRhighORNOT1" name="DIRhighORNOT" value="true" '.(($CONF['DIRhighORNOT'])?'checked="checked"':'').'/> 
+							<label for="DIRhighORNOT1">'.l10n('yes').'</label>
+							<input type="radio" id="DIRhighORNOT2" name="DIRhighORNOT" value="false" '.((!$CONF['DIRhighORNOT'])?'checked="checked"':'').'/> 
+							<label for="DIRhighORNOT2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -65,6 +70,8 @@
 						<td>'.l10n('DIMhdORNOT').' :</td>
 						<td>
-							<label><input type="radio" name="DIMhdORNOT" value="true" '.(($CONF['DIMhdORNOT'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="DIMhdORNOT" value="false" '.((!$CONF['DIMhdORNOT'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="DIMhdORNOT1" name="DIMhdORNOT" value="true" '.(($CONF['DIMhdORNOT'])?'checked="checked"':'').'/> 
+							<label for="DIMhdORNOT1">'.l10n('yes').'</label>
+							<input type="radio" id="DIMhdORNOT" name="DIMhdORNOT" value="false" '.((!$CONF['DIMhdORNOT'])?'checked="checked"':'').'/> 
+							<label for="DIMhdORNOT2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -72,6 +79,8 @@
 						<td>'.l10n('renameORNOT').' :</td>
 						<td>
-							<label><input type="radio" name="renameORNOT" value="true" '.(($CONF['renameORNOT'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="renameORNOT" value="false" '.((!$CONF['renameORNOT'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="renameORNOT1" name="renameORNOT" value="true" '.(($CONF['renameORNOT'])?'checked="checked"':'').'/> 
+							<label for="renameORNOT1">'.l10n('yes').'</label>
+							<input type="radio" id="renameORNOT2" name="renameORNOT" value="false" '.((!$CONF['renameORNOT'])?'checked="checked"':'').'/> 
+							<label for="renameORNOT2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -79,6 +88,8 @@
 						<td>'.l10n('indexORNOT').' :</td>
 						<td>
-							<label><input type="radio" name="indexORNOT" value="true" '.(($CONF['indexORNOT'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="indexORNOT" value="false" '.((!$CONF['indexORNOT'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="indexORNOT1" name="indexORNOT" value="true" '.(($CONF['indexORNOT'])?'checked="checked"':'').'/> 
+							<label for="indexORNOT1">'.l10n('yes').'</label>
+							<input type="radio" id="indexORNOT2" name="indexORNOT" value="false" '.((!$CONF['indexORNOT'])?'checked="checked"':'').'/> 
+							<label for="indexORNOT2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -132,6 +143,8 @@
 						<td>'.l10n('copyONhd').' :</td>
 						<td>
-							<label><input type="radio" name="copyONhd" value="true" '.(($CONF['copyONhd'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="copyONhd" value="false" '.((!$CONF['copyONhd'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="copyONhd1" name="copyONhd" value="true" '.(($CONF['copyONhd'])?'checked="checked"':'').'/> 
+							<label for="copyONhd1">'.l10n('yes').'</label>
+							<input type="radio" id="copyONhd2" name="copyONhd" value="false" '.((!$CONF['copyONhd'])?'checked="checked"':'').'/> 
+							<label for="copyONhd2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -139,6 +152,8 @@
 						<td>'.l10n('copyONnormal').' :</td>
 						<td>
-							<label><input type="radio" name="copyONnormal" value="true" '.(($CONF['copyONnormal'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-							<label><input type="radio" name="copyONnormal" value="false" '.((!$CONF['copyONnormal'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+							<input type="radio" id="copyONnormal1" name="copyONnormal" value="true" '.(($CONF['copyONnormal'])?'checked="checked"':'').'/> 
+							<label for="copyONnormal1">'.l10n('yes').'</label>
+							<input type="radio" id="copyONnormal2" name="copyONnormal" value="false" '.((!$CONF['copyONnormal'])?'checked="checked"':'').'/> 
+							<label for="copyONnormal2">'.l10n('no').'</label>
 						</td>
 					</tr>
@@ -146,7 +161,10 @@
 						<td>'.l10n('copyPOS%s', l10n('copyPOSv')).' :</td>
 						<td>
-							<label><input type="radio" name="copyPOS[0]" value="top" '.(($CONF['copyPOS'][0]=='top')?'checked="checked"':'').'/> '.l10n('top').'</label>
-							<label><input type="radio" name="copyPOS[0]" value="center" '.(($CONF['copyPOS'][0]=='center')?'checked="checked"':'').'/> '.l10n('center').'</label>
-							<label><input type="radio" name="copyPOS[0]" value="bottom" '.(($CONF['copyPOS'][0]=='bottom')?'checked="checked"':'').'/> '.l10n('bottom').'</label>
+							<input type="radio" id="copyPOS01" name="copyPOS[0]" value="top" '.(($CONF['copyPOS'][0]=='top')?'checked="checked"':'').'/> 
+							<label for="copyPOS01">'.l10n('top').'</label>
+							<input type="radio" id="copyPOS02" name="copyPOS[0]" value="center" '.(($CONF['copyPOS'][0]=='center')?'checked="checked"':'').'/> 
+							<label for="copyPOS02">'.l10n('center').'</label>
+							<input type="radio" id="copyPOS03" name="copyPOS[0]" value="bottom" '.(($CONF['copyPOS'][0]=='bottom')?'checked="checked"':'').'/> 
+							<label for="copyPOS03">'.l10n('bottom').'</label>
 						</td>
 					</tr>
@@ -154,7 +172,10 @@
 						<td>'.l10n('copyPOS%s', l10n('copyPOSh')).' :</td>
 						<td>
-							<label><input type="radio" name="copyPOS[1]" value="left" '.(($CONF['copyPOS'][1]=='left')?'checked="checked"':'').'/> '.l10n('left').'</label>
-							<label><input type="radio" name="copyPOS[1]" value="center" '.(($CONF['copyPOS'][1]=='center')?'checked="checked"':'').'/> '.l10n('center').'</label>
-							<label><input type="radio" name="copyPOS[1]" value="right" '.(($CONF['copyPOS'][1]=='right')?'checked="checked"':'').'/> '.l10n('right').'</label>
+							<input type="radio" id="copyPOS11" name="copyPOS[1]" value="left" '.(($CONF['copyPOS'][1]=='left')?'checked="checked"':'').'/> 
+							<label for="copyPOS11">'.l10n('left').'</label>
+							<input type="radio" id="copyPOS12" name="copyPOS[1]" value="center" '.(($CONF['copyPOS'][1]=='center')?'checked="checked"':'').'/> 
+							<label for="copyPOS12">'.l10n('center').'</label>
+							<input type="radio" id="copyPOS13" name="copyPOS[1]" value="right" '.(($CONF['copyPOS'][1]=='right')?'checked="checked"':'').'/> 
+							<label for="copyPOS13">'.l10n('right').'</label>
 						</td>
 					</tr>
@@ -165,5 +186,5 @@
 					<tr>
 						<td>'.l10n('copyCOLOR').' :</td>
-						<td><input type="text" name="copyCOLOR" value="'.$CONF['copyCOLOR'].'" size="6" id="colorpicker"/></td>
+						<td><input type="text" id="colorpicker" name="copyCOLOR" value="'.$CONF['copyCOLOR'].'" size="6"/></td>
 						<script type="text/javascript">
 							$("#colorpicker").ColorPicker({
@@ -209,6 +230,8 @@
 								$PAGE_CONTENT[0] .= '<label><input type="checkbox" name="Plugins['.$plugin_id.'][delete]" value="true" checked="checked"/> '.l10n('erase').'</label>';
 							} else {
-								$PAGE_CONTENT[0] .= '<label><input type="radio" name="Plugins['.$plugin_id.'][active]" value="true" '.(($plugin_config['active'])?'checked="checked"':'').'/> '.l10n('Active').'</label>
-								<label><input type="radio" name="Plugins['.$plugin_id.'][active]" value="false" '.((!$plugin_config['active'])?'checked="checked"':'').'/> '.l10n('Inactive').'</label>';
+								$PAGE_CONTENT[0] .= '<input type="radio" id="" id="active-'.$plugin_id.'" name="Plugins['.$plugin_id.'][active]" value="true" '.(($plugin_config['active'])?'checked="checked"':'').'/>
+								<label for="active-'.$plugin_id.'">'.l10n('Active').'</label>
+								<input type="radio" id="" id="inactive-'.$plugin_id.'"name="Plugins['.$plugin_id.'][active]" value="false" '.((!$plugin_config['active'])?'checked="checked"':'').'/>
+								<label for="inactive-'.$plugin_id.'">'.l10n('Inactive').'</label>';
 							}
 						$PAGE_CONTENT[0] .= '</span>
@@ -230,5 +253,4 @@
 	$PAGE_CONTENT[2] .= '<div class="generic link">
 		<input type="submit" value="'.l10n('Valid').'"/>
-		<input type="reset" value="'.l10n('Reset').'"/>
 		<input type="reset" onclick="location.href=\'index.php\'" value="'.l10n('Back').'"/>
 	</div>
Index: /extensions/PHP_Optimisateur/index.php
===================================================================
--- /extensions/PHP_Optimisateur/index.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/index.php	(revision 9276)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|			   Version 1.3				|
+|			  Version 1.3.a				|
 \***************************************/
 
@@ -39,5 +39,5 @@
 
 
-### VERIFICATIONS ###
+### PROCESSUS ###
 if ($PAGE == 'home') {
 	if (!isset($ERRORS['fatal'])) {
@@ -93,10 +93,15 @@
 if ($PAGE == 'home') {
 	if (isset($ERRORS['fatal'])) {
-		$PAGE_CONTENT[2] .= '<div class="generic link"><a class="input-submit" href="index.php">'.l10n('Back').'</a> <a class="input-submit" href="index.php?page=setup">'.l10n('Config').'</a></div>';
+		$PAGE_CONTENT[2] .= '
+		<div class="generic link">
+			<a class="input-submit" href="index.php">'.l10n('Back').'</a>
+			<a class="input-submit" href="index.php?page=setup">'.l10n('Config').'</a>
+		</div>';
 
 	} else {
 		include('include/display_config.php');
 		
-		$PAGE_CONTENT[2] .= '<div class="generic finish">
+		$PAGE_CONTENT[2] .= '
+		<div class="generic finish">
 			<span id="ready-text">'.l10n('Ready').'</span>
 			<span id="loader"><img src="template/favicon.png" alt="PHP OPT"/></span>
@@ -118,5 +123,6 @@
 } else if ($PAGE = 'process') {
 	### Affichage des fichiers traités ###
-	$PAGE_CONTENT[0] .= '<div class="generic files">
+	$PAGE_CONTENT[0] .= '
+	<div class="generic files">
 		<h2>'.l10n('Source files').'</h2>
 		<ul>';
@@ -131,5 +137,6 @@
 	unset($FilesSortie);
 	
-	$PAGE_CONTENT[2] .= '<div class="generic finish">'.l10n('Finish %d seconds', intval((microtime(true)-$TIME_START))).'</div>
+	$PAGE_CONTENT[2] .= '
+	<div class="generic finish">'.l10n('Finish %d seconds', intval((microtime(true)-$TIME_START))).'</div>
 	<div class="generic link">
 		<a class="input-submit" href="index.php">'.l10n('Back').'</a>
@@ -144,5 +151,6 @@
 echo $PAGE_CONTENT[2];
 
-echo '<div class="generic footer">
+echo '
+<div class="generic footer">
 	2010/2011 - <a href="http://www.strangeplanet.fr">Damien Sorel</a> - <a href="http://fr.piwigo.org/forum/viewtopic.php?id=19117">Forum</a> - <a href="http://fr.piwigo.org/doc/doku.php?id=tools:php_o">Documentation</a>
 </div>
Index: /extensions/PHP_Optimisateur/plugins/convert_pan/config.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan/config.xml	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan/config.xml	(revision 9276)
@@ -3,5 +3,7 @@
 	<mode>Process</mode>
 	<DIMpanorama>500</DIMpanorama>
+	<DetectMode>name</DetectMode>
 	<NAMEpanorama>_pan</NAMEpanorama>
+	<RatioPan>2.85</RatioPan>
 	<RatioPanThumb>1.7</RatioPanThumb>
 </plugin>
Index: /extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan/lang/en_UK.php	(revision 9276)
@@ -1,6 +1,10 @@
 <?php
 $Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' to unactive";
+$Lang['convert_pan.DetectMode'] = "Detection mode";
+$Lang['convert_pan.DetectMode.name'] = "suffix";
+$Lang['convert_pan.DetectMode.ratio'] = "ratio";
 $Lang['convert_pan.DIMpanorama'] = "Panorama height";
 $Lang['convert_pan.NAMEpanorama'] = "Distinctive suffix";
+$Lang['convert_pan.RatioPan'] = "Minimal ratio";
 $Lang['convert_pan.RatioPanThumb'] = "Thumbnails ratio";
 ?>
Index: /extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan/lang/fr_FR.php	(revision 9276)
@@ -1,6 +1,10 @@
 <?php
 $Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
+$Lang['convert_pan.DetectMode'] = "Mode de détection";
+$Lang['convert_pan.DetectMode.name'] = "suffixe";
+$Lang['convert_pan.DetectMode.ratio'] = "ratio";
 $Lang['convert_pan.DIMpanorama'] = "Hauteur du panorama";
 $Lang['convert_pan.NAMEpanorama'] = "Suffixe distinctif";
+$Lang['convert_pan.RatioPan'] = "Ratio minimum";
 $Lang['convert_pan.RatioPanThumb'] = "Ratio des miniatures";
 ?>
Index: /extensions/PHP_Optimisateur/plugins/convert_pan/main.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan/main.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan/main.php	(revision 9276)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|		  Plugin ConvertPan 1.1			|
+|		  Plugin ConvertPan 1.2			|
 \***************************************/
 
@@ -8,16 +8,19 @@
 ## Crée des miniatures rognées pour ne pas avoir de minuscules images
 
-$NAMEpanorama = $CONF['Plugins']['convert_pan']['NAMEpanorama']; // Suffixe des panoramas
-$DIMpanorama = $CONF['Plugins']['convert_pan']['DIMpanorama']; // Hauteur des panoramas normaux
-$RatioPanThumb = $CONF['Plugins']['convert_pan']['RatioPanThumb']; // Ratio des miniatures
+$CP_namepanorama = $CONF['Plugins']['convert_pan']['NAMEpanorama']; 	// Suffixe des panoramas
+$CP_detectmode = $CONF['Plugins']['convert_pan']['DetectMode']; 		// Mode de détection
+$CP_dimpanorama = $CONF['Plugins']['convert_pan']['DIMpanorama']; 		// Hauteur des panoramas normaux
+$CP_ratiopan = $CONF['Plugins']['convert_pan']['RatioPan']; 			// Ratio des panoramas
+$CP_ratiopanthumb = $CONF['Plugins']['convert_pan']['RatioPanThumb']; 	// Ratio des miniatures
 
-if (strpos($FileName, $NAMEpanorama) !== false) {
-	if (!isset($BlockNormal) AND $DIMpanorama != 0) { 
-		exec('files\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
-		$BlockNormal = true;
+if (($CP_detectmode == 'name' AND strpos($FileName,$CP_namepanorama) !== false) OR ($CP_detectmode == 'ratio' AND $FileInfos['Width']/$FileInfos['Height'] >= $CP_ratiopan)) {
+
+	if (!isset($BlockNormal) AND $CP_dimpanorama != 0) { 
+		exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$CP_dimpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+		$BlockNormal['convert_pan'] = true;
 	}
 	
-	if (!isset($BlockThumbnail) AND $RatioPanThumb != 0) { 
-		$DIMthumbnailV = $CONF['DIMthumbnail']/$CONF['Plugins']['convert_pan']['RatioPanThumb'];
+	if (!isset($BlockThumbnail) AND $CP_ratiopanthumb != 0) { 
+		$DIMthumbnailV = $CONF['DIMthumbnail']/$CP_ratiopanthumb;
 		
 		// on prend la miniature au milieu du panorama
@@ -25,6 +28,6 @@
 		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
 		
-		exec('files\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
-		$BlockThumbnail = true;
+		exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
+		$BlockThumbnail['convert_pan'] = true;
 	}
 }
Index: /extensions/PHP_Optimisateur/plugins/convert_pan/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan/setup.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan/setup.php	(revision 9276)
@@ -4,9 +4,26 @@
 	case 'read_config':
 		load_plugin_lang('convert_pan');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
-				<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
-				<td>'.$plugin_config['NAMEpanorama'].'</td>
-			</tr>
+				<td>'.l10n('convert_pan.DetectMode').' :</td>
+				<td>'.$plugin_config['DetectMode'].'</td>
+			</tr>';
+			
+			if ($plugin_config['DetectMode'] == 'name') {
+				$PAGE_CONTENT[0] .= '
+				<tr>
+					<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
+					<td>'.$plugin_config['NAMEpanorama'].'</td>
+				</tr>';
+			} else if ($plugin_config['DetectMode'] == 'ratio') {
+				$PAGE_CONTENT[0] .= '
+				<tr>
+					<td>'.l10n('convert_pan.RatioPan').' :</td>
+					<td>'.$plugin_config['RatioPan'].'</td>
+				</tr>';
+			}
+			
+			$PAGE_CONTENT[0] .= '
 			<tr>
 				<td>'.l10n('convert_pan.DIMpanorama').' :</td>
@@ -32,4 +49,8 @@
 			$$Errors['ErrorConfig'] = 'notice';
 		}
+		if (!is_decimal($_POST['Plugins']['convert_pan']['RatioPan'])) {
+			$_POST['Plugins']['convert_pan']['RatioPan'] = 2.85;
+			$$Errors['ErrorConfig'] = 'notice';
+		}
 		
 		break;
@@ -38,9 +59,35 @@
 	case 'edit_config':
 		load_plugin_lang('convert_pan');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<script type="text/javascript">
+			function ToggleConfig(sel, section){
+				var obj = $("#convert_pan-tr-"+section);
+				if(sel.checked){
+					obj.show();
+				}else{
+					obj.hide();
+				}
+			}
+		</script>
+	
+		<table>
 			<tr>
+				<td>'.l10n('convert_pan.DetectMode').' :</td>
+				<td>
+					<input type="radio" id="convert_pan-radio-name" name="Plugins[convert_pan][DetectMode]" value="name" onchange="ToggleConfig(this,\'name\');" '.(($plugin_config['DetectMode']=='name')?'checked="checked"':'').'/> 
+					<label for="convert_pan-radio-name">'.l10n('convert_pan.DetectMode.name').'</label>
+					<input type="radio" id="convert_pan.radio.ratio" name="Plugins[convert_pan][DetectMode]" value="ratio" onchange="ToggleConfig(this,\'ratio\');" '.(($plugin_config['DetectMode']=='ratio')?'checked="checked"':'').'/> 
+					<label for="convert_pan-radio-ratio">'.l10n('convert_pan.DetectMode.ratio').'</label>
+				</td>
+			</tr>
+			<tr id="convert_pan-tr-name">
 				<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
 				<td><input type="text" name="Plugins[convert_pan][NAMEpanorama]" value="'.$plugin_config['NAMEpanorama'].'" size="6"/></td>
 			</tr>
+			<tr id="convert_pan-tr-ratio">
+				<td>'.l10n('convert_pan.RatioPan').' :</td>
+				<td><input type="text" name="Plugins[convert_pan][RatioPan]" value="'.$plugin_config['RatioPan'].'" size="3"/>px</td>
+			</tr>
+			
 			<tr>
 				<td>'.l10n('convert_pan.DIMpanorama').' :</td>
@@ -57,5 +104,10 @@
 				</td>
 			</tr>
-		</table>';
+		</table>
+		
+		<script type="text/javascript">
+			ToggleConfig(document.forms[0].elements["Plugins[convert_pan][DetectMode]"][0], "name");
+			ToggleConfig(document.forms[0].elements["Plugins[convert_pan][DetectMode]"][1], "ratio");
+		</script>';
 		break;
 }
Index: /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/main.php	(revision 9276)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin CreateCustomThumbs 1.0		|
+|	  Plugin CreateCustomThumbs 1.0.a	|
 \***************************************/
 
@@ -9,13 +9,13 @@
 
 // CreateCustomThumbs à la priorité sur ConvertPan
-if (isset($CONF['Plugins']['convert_pan']) OR !isset($BlockThumbnail)) { 
+if (isset($BlockThumbnail['convert_pan']) OR !isset($BlockThumbnail)) { 
 
 	$FileSource = $FilesSource[$i]; // fichier de travail
-	$DIMthumbnailV = $CONF['Plugins']['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
-	$FRAMEparams = $CONF['Plugins']['create_custom_thumbs']['FRAMEparams']; // Paramètres du cadre
+	$CCT_dimthumbnail = $CONF['Plugins']['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
+	$CCT_frameparams = $CONF['Plugins']['create_custom_thumbs']['FRAMEparams']; // Paramètres du cadre
 	
 	// Miniature de taille personnalisée
-	if ($DIMthumbnailV != 0) {
-		$max = max($CONF['DIMthumbnail'], $DIMthumbnailV);
+	if ($CCT_dimthumbnail != 0) {
+		$max = max($CONF['DIMthumbnail'], $CCT_dimthumbnail);
 
 		// on prend la miniature au milieu de l'image
@@ -31,18 +31,18 @@
 		
 		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
-		$offset_y = ($tmp_y - $DIMthumbnailV) / 2;
+		$offset_y = ($tmp_y - $CCT_dimthumbnail) / 2;
 		
-		exec('files\nconvert.exe -overwrite -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb 	"'.$FileSource.'"');
+		exec('include\nconvert.exe -overwrite -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$CONF['DIMthumbnail'].' '.$CCT_dimthumbnail.' -rmeta -rexifthumb 	"'.$FileSource.'"');
 		
-		$BlockThumbnail = true;
-		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName;
+		$BlockThumbnail['create_custom_thumbs'] = true;
+		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
 	}
 
 	// Cadre autour de la miniature
-	if ($FRAMEparams['size1'] != 0 OR $FRAMEparams['size2'] != 0) {
+	if ($CCT_frameparams['size1'] != 0 OR $CCT_frameparams['size2'] != 0) {
 		// Si la miniature n'a pas encore été générée il faut le faire
 		if ($FileSource == $FilesSource[$i]) {
-			exec('files\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
-			$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName;
+			exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
+			$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
 		}
 
@@ -51,21 +51,21 @@
 		$y = imagesy($img)-1;
 		
-		$colors[0] = hex2RGB($FRAMEparams['color1']);
-		$colors[1] = hex2RGB($FRAMEparams['color2']);
+		$colors[0] = hex2RGB($CCT_frameparams['color1']);
+		$colors[1] = hex2RGB($CCT_frameparams['color2']);
 		$colors[0] = imagecolorallocate($img, $colors[0]['r'], $colors[0]['g'], $colors[0]['b']);
 		$colors[1] = imagecolorallocate($img, $colors[1]['r'], $colors[1]['g'], $colors[1]['b']);
 
-		for ($m=0; $m<$FRAMEparams['size1']; $m++) {
+		for ($m=0; $m<$CCT_frameparams['size1']; $m++) {
 			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[0]);
 		}
-		for ($m=$FRAMEparams['size1']; $m<$FRAMEparams['size1']+$FRAMEparams['size2']; $m++) {
+		for ($m=$CCT_frameparams['size1']; $m<$CCT_frameparams['size1']+$CCT_frameparams['size2']; $m++) {
 			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[1]);
 		}
 		
-		imagejpeg($img, $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName, $CONF['Qthumbnail']);
+		imagejpeg($img, $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg', $CONF['Qthumbnail']);
 		imagedestroy($img);
 		
-		$BlockThumbnail = true;
-		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName;
+		$BlockThumbnail['create_custom_thumbs'] = true;
+		$FileSource = $FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg';
 	}
 }
Index: /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/create_custom_thumbs/setup.php	(revision 9276)
@@ -8,5 +8,6 @@
 		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
 		
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
 				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
@@ -61,5 +62,6 @@
 		$plugin_config['FRAMEparams']['color2'] = nice_hex_color($plugin_config['FRAMEparams']['color2']);
 		
-		$PAGE_CONTENT[0] .='<table>
+		$PAGE_CONTENT[0] .='
+		<table>
 			<tr>
 				<td>'.l10n('create_custom_thumbs.DIMthumbnailV').' :</td>
Index: /extensions/PHP_Optimisateur/plugins/front2back_support/main.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/front2back_support/main.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/front2back_support/main.php	(revision 9276)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin Front2Back Support 1.1		|
+|	  Plugin Front2Back Support 1.1.a	|
 \***************************************/
 
@@ -9,9 +9,9 @@
 ## Supprime le suffixe et déplace aussi les fichiers du repertoire source
 
-$NAMEverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
-$MOVEverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'
+$F2B_nameverso = $CONF['Plugins']['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
+$F2B_moveverso = $CONF['Plugins']['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'
 
-if (strpos($FileName, $NAMEverso) !== false) {
-	$FileNameClean = str_replace($NAMEverso, '', $FileName);
+if (strpos($FileName, $F2B_nameverso) !== false) {
+	$FileNameClean = str_replace($F2B_nameverso, '', $FileName);
 	
 	// Image normale
@@ -19,5 +19,5 @@
 		mkdir($FileFolder.'thumbnail/verso');
 	}
-	exec('files\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.'thumbnail/verso/'.$FileNameClean.'" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+	exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.'thumbnail/verso/'.$FileNameClean.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMnormal'].' '.$CONF['DIMnormal'].' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
 	
 	// Image hd
@@ -27,22 +27,29 @@
 		}
 		if ($CONF['DIMhdORNOT']) {
-			exec('files\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/verso/'.$FileNameClean.'" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
+			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg" -dpi '.$CONF['DPI'].' '.$CONF['convOptions'].' -resize '.$CONF['DIMhd'].' '.$CONF['DIMhd'].' '.$CONF['copyHD'].' "'.$FilesSource[$i].'"');
+		} else if (!in_array($FileExt, $CONF['JPGexts'])) {
+			exec('include\nconvert.exe -q '.$CONF['Qhd'].' -out jpeg -o "'.$FileFolder.'pwg_high/'.$FileNameClean.'.jpg" "'.$FilesSource[$i].'"');
 		} else {
-			copy($FilesSource[$i], $FileFolder.'pwg_high/verso/'.$FileNameClean);
+			copy($FilesSource[$i], $FileFolder.'pwg_high/verso/'.$FileNameClean.'.jpg');
 		}
 	}
 	
 	// Déplacement de l'image originale
-	if ($MOVEverso) {
+	if ($F2B_moveverso) {
 		$FileFolderSource = str_replace($CONF['DIRsortie'], $CONF['DIRsource'], $FileFolder);
 		if (!file_exists($FileFolderSource.'verso')) {
 			mkdir($FileFolderSource.'verso', 0777, true);
 		}
-		rename($FileFolderSource.$FileName, $FileFolderSource.'verso/'.$FileNameClean);
+		rename($FileFolderSource.$FileName.'.'.$FileExt, $FileFolderSource.'verso/'.$FileNameClean.'.'.$FileExt);
 	}
 	
-	$BlockNormal = true;
-	$BlockThumbnail = true;
-	$BlockHigh = true;
+	// Suppression de la miniature si déjà crée (par un autre plugin)
+	if (file_exists($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg')) {
+		unlink($FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg');
+	}
+	
+	$BlockNormal['front2back_support'] = true;
+	$BlockThumbnail['front2back_support'] = true;
+	$BlockHigh['front2back_support'] = true;
 }
 ?>
Index: /extensions/PHP_Optimisateur/plugins/front2back_support/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/front2back_support/setup.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/front2back_support/setup.php	(revision 9276)
@@ -4,5 +4,6 @@
 	case 'read_config':
 		load_plugin_lang('front2back_support');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
 				<td>'.l10n('front2back_support.NAMEverso').' :</td>
@@ -24,5 +25,6 @@
 	case 'edit_config':
 		load_plugin_lang('front2back_support');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
 				<td>'.l10n('front2back_support.NAMEverso').' :</td>
@@ -32,6 +34,8 @@
 				<td>'.l10n('front2back_support.MOVEverso').' :</td>
 				<td>
-					<label><input type="radio" name="Plugins[front2back_support][MOVEverso]" value="true" '.(($plugin_config['MOVEverso'])?'checked="checked"':'').'/> '.l10n('yes').'</label>
-					<label><input type="radio" name="Plugins[front2back_support][MOVEverso]" value="false" '.((!$plugin_config['MOVEverso'])?'checked="checked"':'').'/> '.l10n('no').'</label>
+					<input type="radio" id="front2back_support-move1" name="Plugins[front2back_support][MOVEverso]" value="true" '.(($plugin_config['MOVEverso'])?'checked="checked"':'').'/> 
+					<label for="front2back_support-move1">'.l10n('yes').'</label>
+					<input type="radio" id="front2back_support-move2" name="Plugins[front2back_support][MOVEverso]" value="false" '.((!$plugin_config['MOVEverso'])?'checked="checked"':'').'/> 
+					<label for="front2back_support-move2">'.l10n('no').'</label>
 				</td>
 			</tr>
Index: /extensions/PHP_Optimisateur/plugins/watermark/main.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/watermark/main.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/watermark/main.php	(revision 9276)
@@ -8,14 +8,14 @@
 ## Dépend des valeurs de $CONF['copyONhd'], $CONF['copyONnormal'] et $CONF['copyPOS']
 
-$waterFILE = $CONF['Plugins']['watermark']['waterFILE']; // Fichier à incruster
-$waterALPHA = $CONF['Plugins']['watermark']['waterALPHA']; // Opacité
+$WM_waterfile = $CONF['Plugins']['watermark']['waterFILE']; // Fichier à incruster
+$WM_wateralpha = $CONF['Plugins']['watermark']['waterALPHA']; // Opacité
 
-if (file_exists($waterFILE)) {
+if (file_exists($WM_waterfile)) {
 	if ($CONF['copyONhd']) {
-		$CONF['copyHD'] = '-wmfile "'.$waterFILE.'" -wmflag '.$CONF['copyPOS'].' -wmpos 0 0 -wmopacity '.$waterALPHA.'';
+		$CONF['copyHD'] = '-wmfile "'.$WM_waterfile.'" -wmflag '.$CONF['copyPOS'].' -wmpos 0 0 -wmopacity '.$WM_wateralpha.'';
 	}
 	
 	if ($CONF['copyONnormal']) {
-		$CONF['copyNormal'] = '-wmfile "'.$waterFILE.'" -wmflag '.$CONF['copyPOS'].' -wmpos 0 0 -wmopacity '.$waterALPHA.'';
+		$CONF['copyNormal'] = '-wmfile "'.$WM_waterfile.'" -wmflag '.$CONF['copyPOS'].' -wmpos 0 0 -wmopacity '.$WM_wateralpha.'';
 	}
 }
Index: /extensions/PHP_Optimisateur/plugins/watermark/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/watermark/setup.php	(revision 9275)
+++ /extensions/PHP_Optimisateur/plugins/watermark/setup.php	(revision 9276)
@@ -4,5 +4,6 @@
 	case 'read_config':
 		load_plugin_lang('watermark');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
 				<td>'.l10n('watermark.waterFILE').' :</td>
@@ -28,5 +29,6 @@
 	case 'edit_config':
 		load_plugin_lang('watermark');
-		$PAGE_CONTENT[0] .= '<table>
+		$PAGE_CONTENT[0] .= '
+		<table>
 			<tr>
 				<td>'.l10n('watermark.waterFILE').' :</td>
